diff --git a/natools.gpr b/natools.gpr
index dd3ea8d..270c749 100644
--- a/natools.gpr
+++ b/natools.gpr
@@ -61,7 +61,7 @@ project Natools is
             --     t: token separation rules
          "-gnateE",
             --  generate extra information in exception messages
-         "-gnatwae",
+         "-gnatwa",
             --  a: turn on most warnings
             --  e: treat all warnings as errors
          "-fstack-check")
diff --git a/src/natools-references__intel.ads b/src/natools-references__intel.ads
index 0d966f9..02e2f2b 100644
--- a/src/natools-references__intel.ads
+++ b/src/natools-references__intel.ads
@@ -146,6 +146,6 @@ private
      := (Ada.Finalization.Controlled with Count => null, Data => null);
 
    Null_Reference : constant Reference
-     := (Null_Immutable_Reference with null record);
+     := (Ada.Finalization.Controlled with Count => null, Data => null);
 
 end Natools.References;
diff --git a/src/natools-references__protected.ads b/src/natools-references__protected.ads
index a98db1e..0337de5 100644
--- a/src/natools-references__protected.ads
+++ b/src/natools-references__protected.ads
@@ -144,6 +144,6 @@ private
      := (Ada.Finalization.Controlled with Count => null, Data => null);
 
    Null_Reference : constant Reference
-     := (Null_Immutable_Reference with null record);
+     := (Ada.Finalization.Controlled with Count => null, Data => null);
 
 end Natools.References;
diff --git a/src/natools-references__unsafe.ads b/src/natools-references__unsafe.ads
index a3494ca..fb5dc4f 100644
--- a/src/natools-references__unsafe.ads
+++ b/src/natools-references__unsafe.ads
@@ -135,6 +135,6 @@ private
      := (Ada.Finalization.Controlled with Count => null, Data => null);
 
    Null_Reference : constant Reference
-     := (Null_Immutable_Reference with null record);
+     := (Ada.Finalization.Controlled with Count => null, Data => null);
 
 end Natools.References;
